Subject: Re: [weirds] WG Action: Formed Registration Protocols Extensions (regext)

From: Barry Leiba <[email-masked]>
Date: Fri, 4 Mar 2016 10:33:48 -0500

The regext working group charter has been approved, and that replaces
eppext and takes the RDAP follow-on work from weirds.  All eppext and
weirds subscribers were added to the regext list a while ago, and now,
with the regext charter approved, I'll be asking the IT folks to start
forwarding messages that are sent to the eppext and weirds mailing
lists over to the regext mailing list, and we'll formally close the
eppext working group.

Everyone, please use <[email-masked]> in future.

Barry, ART Director

On Fri, Mar 4, 2016 at 9:57 AM, The IESG <[email-masked]> wrote:
> A new IETF WG has been formed in the Applications and Real-Time Area. For
> additional information, please contact the Area Directors or the WG
> Chairs.
>
> Registration Protocols Extensions (regext)
> -----------------------------------------------------------------------
> Current status: Proposed WG
>
> Chairs:
>   Jim Galvin <[email-masked]>
>   Antoin Verschuren <[email-masked]>
>
> Assigned Area Director:
>   Barry Leiba <[email-masked]>
>
> Applications and Real-Time Area Directors:
>   Barry Leiba <[email-masked]>
>   Ben Campbell <[email-masked]>
>   Alissa Cooper <[email-masked]>
>
> Mailing list:
>   Address: [email-masked]
>   To subscribe: https://www.ietf.org/mailman/listinfo/regext
>   Archive: https://mailarchive.ietf.org/arch/browse/regext/
>
> Charter: https://datatracker.ietf.org/doc/charter-ietf-regext/
>
> The Extensible Provisioning Protocol (EPP, Standard 69) is the
> standard domain name provisioning protocol for top-level domain name
> registries.  To avoid many separate EPP extensions that provide
> the same functions, it's important to coordinate and standardize EPP
> extensions.
>
> The EPP Extensions (EPPEXT) working group completed its first goal of
> creating an IANA registry of EPP extensions.  The registration process
> of the registry is documented in RFC7451.  Extensions may be
> registered for informational purposes as long as there is a published
> specification that has been reviewed by a designated expert.
>
> The Registration Data Access Protocol (RDAP, RFCs 7480-7484) is the
> proposed standard for retrieving registration metadata from both
> domain name and Regional Internet Registries.  To ensure interoperable
> implementations it's important to coordinate and standardize
> extensions and profiles to be used by registries.
>
> Extensions in both cases that are targeted for the Standards Track are
> subject to more thorough review and open discussion within the IETF.
>
> In addition, commonality may be discovered in related extensions,
> especially EPP extensions listed on the EPP extension registry, for
> which it would makes sense to merge them into a single standard
> extension everybody agrees on.
>
> The REGEXT working group is the home of the coordination effort for
> standards track extensions.  The selection of extensions for standards
> track shall incorporate the following guidelines.
>
> 1. Proprietary documented extensions and individual submissions of
> informational or experimental EPP extensions will follow the expert
> review process as described in RFC7451 for inclusion in the EPP
> extensions registry. These documents will not be part of the REGEXT
> working group work or milestones. The working group may discuss or
> advise on these documents.
>
> 2. Extensions that seek standards track status can be suggested for WG
> adoption.  If accepted by the working group then the development of
> the standard may proceed.
>
> 3. When there are no more proposals for Standards-Track extensions,
> the working group will either close or become dormant, with the
> decision made in consultation with the responsible AD.  The charter
> will be reviewed by the end of 2017 and will be refreshed by
> rechartering if there is still a reason to keep the working group
> going.  In any case, the mailing list will remain open and available
> for the use of the expert review process as described in RFC7451.
>
> The working group will also identify the requirements for a
> registration protocol that allows a third-party service provider to
> exchange information with a registry without the need of a registrar
> proxy in the middle of the exchange.  These requirements will be
> documented in an Informational RFC.
>
> The working group will focus initially on the backlog of EPP and RDAP
> extensions.
>
> Milestones:
>   Mar 2016 - Submit for publication "Launch Phase Mapping for EPP"
>   Mar 2016 - Submit for publication "TMCH functional specifications"
>   Apr 2016 - Submit for publication "EPP and RDAP Status Mapping"
>   Apr 2016 - Submit for publication "Registry Fee Extension for EPP"
>   Apr 2016 - Submit for publication "Reseller Extension for EPP"
>   Apr 2016 - Submit for publication "EPP Reseller Mapping"
>   Jun 2016 - Submit for publication "Verification Code Extension for EPP"
>   Jun 2016 - Submit for publication "EPP China Name Verification Mapping"
>   Jun 2016 - Submit for publication "EPP Domain Name Mapping Extension
> for Bundling Registration"
>   Oct 2016 - Submit for publication "Change Poll Extension for EPP"
>   Oct 2016 - Submit for publication "Allocation Token Extension for EPP"
>   Feb 2017 - Submit for publication draft-ietf-eppext-idnmap
>   Feb 2017 - Submit for publication "EPP IDN Table Mapping"
>   Feb 2017 - Submit for publication "CIRA IDN EPP Extension"
>   Jun 2017 - Submit for publication an informational RFC with
> requirements for a registration protocol for third-party DNS providers
>
>